# $Revision: 1.30 $, $Date: 2002/10/30 12:43:31 $
Summary:	A multi-function text editor using GTK+
Summary(es):	Editor de textos multifunciones que usa GTK+
Summary(pl):	Wielofunkcyjny edytor tekstu wykorzystujcy GTK+
Summary(pt):	Editor de textos multifuno que usa o GTK+
Name:		GXedit
Version:	1.23
Release:	11
License:	GPL
Group:		X11/Applications/Editors
Source0:	http://users.linuxbox.com/~drow/GXedit/%{name}%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-config.patch
Patch1:		%{name}-makefile.patch
Patch2:		%{name}-nobash.patch
Patch3:		%{name}-time.patch
URL:		http://www.linuxbox.com/~drow/GXedit/
BuildRequires:	gtk+-devel >= 1.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Here is a fast, easy-to-use editor which is both network oriented and
very secure. GXedit is a graphical text editor which features a
toolbar, network bar and tooltips, spell checking, inline help, the
ability to send text as e-mail, macros and more. GXedit was designed
to balance these and many other features without becoming too bloated.

%description -l es
Editor de textos multifunciones que usa GTK+.

%description -l pl
Oto szybki, atwy w obsudze edytor, ktry jest nastawiony na prac w
sieci, a przy tym bardzo bezpieczny. GXedit jest graficznym edytorem
tekstu, ktry dostarcza takich funkcji jak pasek narzdzi, sprawdzanie
pisowni, moliwo wysyania tekstu poczt elektroniczn, makra i
wiele innych. GXedit zosta zaprojektowany tak, aby obecno tych i
wielu innych funkcji nie wpywaa zbytnio na objto samego programu.

%description -l pt_BR
O GXedit  um editor de textos grficos com mltiplas funes que
utiliza o GTK+.

%prep
%setup -n %{name}%{version} -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
sed s^/usr/doc/GXedit/^%{_defaultdocdir}/%{name}-%{version}/^g gxedit.c > gxedit.c.new
mv -f gxedit.c.new gxedit.c

%{__make} OPTFLAGS="%{rpmcflags} -Wall" gxe

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_applnkdir}/Editors}

%{__make} install \
	SHARE=$RPM_BUILD_ROOT%{_datadir}/ \
	INSTALL_DIR=$RPM_BUILD_ROOT%{_bindir}/

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Editors

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/manual.txt docs/manual.ps docs/quickref.txt docs/quickref.ps
%doc README CHANGELOG docs/DEPENDENCIES example.gxeditrc

%attr(755,root,root) %{_bindir}/*

%{_applnkdir}/Editors/GXedit.desktop
%{_datadir}/GXedit

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: GXedit.spec,v $
Revision 1.30  2002/10/30 12:43:31  ankry
- moved desktop to Editors, cleaning, rel. 11

Revision 1.29  2002/05/25 20:15:33  kloczek
- use new %doc infrastructure.

Revision 1.28  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/18 02:12:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2001/05/02 16:29:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.25  2001/03/17 04:07:38  kloczek
- release 10,
- added time patch with fix time.h bug on current glibc,
- spec adapterized and now also %%{debug} ready.

Revision 1.24  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.23  2000/05/27 18:34:59  kloczek
- release 9.

Revision 1.22  2000/05/27 10:28:20  michuz
- %%applnk changed

Revision 1.21  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.20  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.19  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.17  1999/11/13 18:22:31  kloczek
- release 8,
- added %%{_applnkdir} macro.

Revision 1.16  1999/11/13 17:01:37  kura
- fixed pl translation
- added one macro

Revision 1.15  1999/10/20 20:40:02  kloczek
- release 7,
- added nobash patch - now GXedit depends on /bin/sh instead /bin/bash.

Revision 1.14  1999/09/29 17:41:42  kloczek
- release 6,
- desktop dir moved to common applnk dir,
- more es, pt_BR translations from conectiva.

Revision 1.13  1999/09/04 09:13:11  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.12  1999/08/09 06:06:29  kloczek
- Copyright is GPL,
- updated Source and URL.

Revision 1.11  1999/08/09 06:03:29  kloczek
- more cosmetics.

Revision 1.10  1999/07/20 17:47:34  baggins
- cosmetics

Revision 1.9  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.8  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 17 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.23-4]
- added using more rpm macros,
- package is now FHS 2.0 compliant.

* Tue Apr 27 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.23-3]
- cleaned up sepec file for PLD use,
- added pl translation,
- added new GXedit.desktop file with translation modified for es fr no pl pt,
- added GXedit-config.patch instead of gxedit-config.h,
- added new GXedit-makefile.patch,
- recompiled on rpm 3.

* Thu Apr 01 1999 Michael Fulbright <drmike@redhat.com>
- version 1.23

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 06 1999 Michael Fulbright <drmike@redhat.com>
- version 1.22

* Wed Jan 27 1998 Michael Fulbright <drmike@redhat.com>
- first attempt at spec file
